Index
Confused! Which OS using? - Printable Version

+- Index (https://forums.netrunner.com)
+-- Forum: General (https://forums.netrunner.com/forumdisplay.php?fid=7)
+--- Forum: Community Talk (https://forums.netrunner.com/forumdisplay.php?fid=10)
+--- Thread: Confused! Which OS using? (/showthread.php?tid=24006)



Confused! Which OS using? - Pfiff - 2nd December 2016

Hey,

a while ago, in June 2015, I installed netrunner (not based on the rolling release). I always made the usual updates. Today I checked, which version I'm using and find in the infocenter, surprise, surprise, the info "maui 2.1" - nothing else - no infos about the neon-version etc.

Why is this so? What I'm using? Is here something wrong?


(please do not mix this with postings about my private machine - there is maui 2.1 regular installed)


Ciao!

Dieter 


RE: Confused! Which OS using? - starbuck - 2nd December 2016

That sounds odd indeed! Which netrunner have you installed? Netrunner 16? Since that was Ubuntu 15.04 VIVID based, can you check which ubuntu version you're on?


RE: Confused! Which OS using? - leszek - 2nd December 2016

Type in lsb_release -a in a terminal to get to know more.


RE: Confused! Which OS using? - Pfiff - 3rd December 2016

(2nd December 2016, 21:31)leszek Wrote: Type in lsb_release -a in a terminal to get to know more.

Code:
lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Maui
Release:        2.1
Codename:       xenial
But on this machine I never installed maui! And the screens when starting the machine is always telling me "netrunner 17".

(I don't drink alcohol or consume drugs, honestly)

BTW, the situation with you is really very strange for non-profis! netrunner 17, netrunner rolling, netrunner desktop, maui1 maui2, ... miaou? :-)

I'm sure, on the long run, this situation will become contra-productive ...


Ciao!

Dieter


RE: Confused! Which OS using? - AJSlye - 3rd December 2016

That is really strange. What is in your sources list?


RE: Confused! Which OS using? - leszek - 3rd December 2016

Ah running Netrunner 17 and did the 16.04 update with the script?
Then this is normal. It is getting the packages from Maui regarding version number and so on.
This is noted in the blogpost about the update script btw.


RE: Confused! Which OS using? - Pfiff - 3rd December 2016

(3rd December 2016, 19:08)leszek Wrote: Ah running Netrunner 17 and did the 16.04 update with the script?
Then this is normal. It is getting the packages from Maui regarding version number and so on.
This is noted in the blogpost about the update script btw.

Aha, nevertheless this is very confusing and NOT a clear product placement ...


What do I have now? netrunner or maui? If maui i have to leave this forum.

Ciao!
Dieter


RE: Confused! Which OS using? - AJSlye - 3rd December 2016

http://www.netrunner.com/upgrade-script-netrunner-17-ubuntu-xenial-16-04-lts-base/
Quote:After that you will have a Netrunner 17 running on the Ubuntu Xenial LTS base. Be aware that some packages from Maui 1 will be pulled so the name might appear in some locations.



RE: Confused! Which OS using? - leszek - 3rd December 2016

Like I said it is Netrunner 17 with the Xenial (16.04) Base.
Nothing else changed basically


RE: Confused! Which OS using? - starbuck - 4th December 2016

Netrunner has changed its Ubuntu based Version to Maui, same as KDE Neon was formerly Kubuntu.
Stupid licensing doesnt help. So Maui is the continuation of Netrunner, no difference to it when you are on Ubuntu base.

We on the other side are getting our feet wet with our first pure Debian version out, so longterm, this is the way to go.

For we dont throw away all our expertise, just use Maui for continued worry free Ubuntu experience and stay tuned for Netrunner to advance quickly. Its really a binary choice, black and white, so I dont see any confusion:
Maui=Ubuntu
Netrunner=New Debian, because we like to expand and evolve without anyone dragging our feet.